## NMSettingInfiniband NMSettingInfiniband |

## Functions

NMSetting * | nm_setting_infiniband_new ()
const char * | nm_setting_infiniband_get_mac_address ()
guint32 | nm_setting_infiniband_get_mtu ()
const char * | nm_setting_infiniband_get_transport_mode ()
int | nm_setting_infiniband_get_p_key ()
const char * | nm_setting_infiniband_get_parent ()
const char * | nm_setting_infiniband_get_virtual_interface_name ()

## Types and Values

#define | NM_SETTING_INFINIBAND_SETTING_NAME
#define | NM_SETTING_INFINIBAND_MAC_ADDRESS
#define | NM_SETTING_INFINIBAND_MTU
#define | NM_SETTING_INFINIBAND_TRANSPORT_MODE
#define | NM_SETTING_INFINIBAND_P_KEY
#define | NM_SETTING_INFINIBAND_PARENT

## Description

## Functions

### nm_setting_infiniband_new ()

    NMSetting *
    nm_setting_infiniband_new (void);

### nm_setting_infiniband_get_mac_address ()

    const char *
    nm_setting_infiniband_get_mac_address (NMSettingInfiniband *setting);

### nm_setting_infiniband_get_mtu ()

    guint32
    nm_setting_infiniband_get_mtu (NMSettingInfiniband *setting);

### nm_setting_infiniband_get_transport_mode ()

    const char *
    nm_setting_infiniband_get_transport_mode
                                   (NMSettingInfiniband *setting);

### nm_setting_infiniband_get_p_key ()

    int
    nm_setting_infiniband_get_p_key (NMSettingInfiniband *setting);

### nm_setting_infiniband_get_parent ()

    const char *
    nm_setting_infiniband_get_parent (NMSettingInfiniband *setting);

### nm_setting_infiniband_get_virtual_interface_name ()

    const char *
    nm_setting_infiniband_get_virtual_interface_name
                                   (NMSettingInfiniband *setting);

## Types and Values

### NM_SETTING_INFINIBAND_SETTING_NAME

    #define NM_SETTING_INFINIBAND_SETTING_NAME "infiniband"

### NM_SETTING_INFINIBAND_MAC_ADDRESS

    #define NM_SETTING_INFINIBAND_MAC_ADDRESS    "mac-address"

### NM_SETTING_INFINIBAND_MTU

    #define NM_SETTING_INFINIBAND_MTU            "mtu"

### NM_SETTING_INFINIBAND_TRANSPORT_MODE

    #define NM_SETTING_INFINIBAND_TRANSPORT_MODE "transport-mode"

### NM_SETTING_INFINIBAND_P_KEY

    #define NM_SETTING_INFINIBAND_P_KEY          "p-key"

### NM_SETTING_INFINIBAND_PARENT

    #define NM_SETTING_INFINIBAND_PARENT         "parent"